package com.wb.excel.api.util;

import org.apache.poi.hssf.usermodel.HSSFDateUtil;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class StringUtil {

    public static int getByteLength(String str) {
        int length = str.replaceAll("[^\\x00-\\xff]", "**").length();
        return length;
    }

    public static String upperFirstWord(String str) {
        String temp = str.substring(0, 1);
        return temp.toUpperCase() + str.substring(1);
    }

    /**
     * TODO
     *
     * @param str
     * @param reg
     * @param index
     * @return
     */
    public static String split(String str, String reg, int index) {
        if (reg.length() == 0) {
            return str;
        }
        String[] strings = str.split(reg);
        if (index < 0) {
            index = 0;
        }
        if (index >= strings.length) {
            index = strings.length - 1;
        }
        return strings[index];
    }

    public static String substring(String str, int start, int end) {
        if (0 >= start || start >= str.length()) {
            end = str.length() - 1;
        }
        if (0 >= end || end >= str.length()) {
            end = str.length() - 1;
        }
        return str.substring(start, end);
    }

    public static String transferDate(String value) {
        Double d = TransferUtil.transferDouble(value);
        Date date = null;
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        if (d == null) {
            try {
                date = sdf.parse(value);
            } catch (ParseException e) {
                e.printStackTrace();
            }
        } else {
            date = HSSFDateUtil.getJavaDate(d);
        }
        return sdf.format(date);
    }

    public static String transferDatetime(String value) {
        Double d = TransferUtil.transferDouble(value);
        Date date = null;

        List<String> sdfList = new ArrayList<>();
        sdfList.add("yyyy-MM-dd HH:mm:ss");
        sdfList.add("yyyy-MM-dd hh:mm:ss");
        sdfList.add("yyyy/MM/dd HH:mm:ss");
        sdfList.add("yyyy/MM/dd hh:mm:ss");

        SimpleDateFormat stdFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        if (d == null) {
            for (String sdfValue : sdfList) {
                SimpleDateFormat sdf = new SimpleDateFormat(sdfValue);
                try {
                    date = sdf.parse(value);
                    break;
                } catch (ParseException ignored) {
                }
            }
        } else {
            date = HSSFDateUtil.getJavaDate(d);
        }
        return stdFormat.format(date);
    }

}
